'----------------------------------------------------------------------------
'  YahooAEX.vbs (v1.4)	6 sep '07		jfeelders
'----------------------------------------------------------------------------
'
' Grabs stock trading information from finance.yahoo.com by reading the csv-files. 
' You can change the stock by changing the part '^AEX'.
' getAEX1 returns the stock-value, getAEX2 returns the last relative change.
' getEuro returns the Euro-Dollar exchange rate.
' getDow1 returns the stock-value, getDow2 returns the last relative change.
'
'----------------------------------------------------------------------------

'============================================================================


Function getAEX1()
	getAEX1Temp =    Replace(ReturnHTML("http://download.finance.yahoo.com/d/quotes.csv?s=^AEX&f=l1"), ",", ".")
	GetAEX1 = Replace(GetAEX1Temp, ".", ",")
End Function

Function getAEX2()
	getAEX2Temp =    Replace(ReturnHTML("http://download.finance.yahoo.com/d/quotes.csv?s=^AEX&f=c1"), ",", ".")
	GetAEX2 = Replace(GetAEX2Temp, ".", ",")
End Function

Function getEuro()
	getEuroTemp =    Replace(ReturnHTML("http://download.finance.yahoo.com/d/quotes.csv?s=EURUSD=X&f=l1"), ",", ".")
	GetEuro = Replace(GetEuroTemp, ".", ",")
End Function 

Function getDow1()
	getDow1Temp =    Replace(ReturnHTML("http://download.finance.yahoo.com/d/quotes.csv?s=^DJI&f=l1"), ",", ".")
	GetDow1 = Replace(GetDow1Temp, ".", ",")
End Function

Function getDow2()
	getDow2Temp =    Replace(ReturnHTML("http://download.finance.yahoo.com/d/quotes.csv?s=^DJI&f=c1"), ",", ".")
	GetDow2 = Replace(GetDow2Temp, ".", ",")
End Function


Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing
End Function
